#ifndef _Handle_PGeom_SweptSurface_HeaderFile
#define _Handle_PGeom_SweptSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Surface_HeaderFile
#include <Handle_PGeom_Surface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Surface);
class PGeom_SweptSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_SweptSurface);

class Handle(PGeom_SweptSurface) : public Handle(PGeom_Surface) {
  public:

    Handle(PGeom_SweptSurface)():Handle(PGeom_Surface)() {} 
    Handle(PGeom_SweptSurface)(const Handle(PGeom_SweptSurface)& aHandle) : Handle(PGeom_Surface)(aHandle) 
     {
     }

    Handle(PGeom_SweptSurface)(const PGeom_SweptSurface* anItem) : Handle(PGeom_Surface)((PGeom_Surface *)anItem) 
     {
     }

    Handle(PGeom_SweptSurface)& operator=(const Handle(PGeom_SweptSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_SweptSurface)& operator=(const PGeom_SweptSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_SweptSurface* operator->() const 
     {
      return (PGeom_SweptSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_SweptSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
